Uploaded image for project: 'DSpace'
  1. DSpace
  2. DS-882

Homepage warning message when using Snapshot versions

    Details

    • Type: Improvement
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 1.7.1
    • Fix Version/s: None
    • Component/s: JSPUI, XMLUI
    • Labels:
      None
    • Environment:
      any DSpace
    • Attachments:
      0
    • Comments:
      2
    • Documentation Status:
      Needed

      Description

      I'm seeing a lot of production installations of DSpace, implemented with snapshot versions. If those are not constantly being updated with new patches, or to a next stable release, these people might get in trouble with future upgrades.

      Although I'm not sure, my guess is that people don't deliberately install the snapshots, and therefor, might benefit from a warning.

      My suggestion: immediately after a stable release, and with the creation of a first new snapshot version, a warning could be added to the frontpage "this is a development version of DSpace and should not be used in production".

      Of course, the developer can always manually remove or disable the warning, confirming that they are aware.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              bram Bram Luyten (Atmire)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: